package com.yihu.jw.restmodel.hospital.survey;

import com.yihu.jw.restmodel.UuidIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Created by Trick on 2019/9/9.
 */
@ApiModel(value = "WlyySurveyQuestionVO", description = "问卷调查选项")
public class WlyySurveyQuestionsOptionVO extends UuidIdentityVO {

    @ApiModelProperty(value = "题库问题编码", example = "模块1")
    private String questionCode;//题库问题编码',
    @ApiModelProperty(value = "选项内容", example = "模块1")
    private String content;//选项内容',
    @ApiModelProperty(value = "是否有备注，0没有，1有", example = "模块1")
    private Integer haveComment;
    @ApiModelProperty(value = "选项说明是否必填（0否 1是）", example = "模块1")
    private Integer isRequired;//选项说明是否必填（0否 1是）',
    @ApiModelProperty(value = "单题内排序", example = "模块1")
    private Integer sort;//单题内排序',
    @ApiModelProperty(value = "删除标志", example = "模块1")
    private String del;//删除标志（1正常，0删除）',

    public String getQuestionCode() {
        return questionCode;
    }

    public void setQuestionCode(String questionCode) {
        this.questionCode = questionCode;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    public Integer getHaveComment() {
        return haveComment;
    }

    public void setHaveComment(Integer haveComment) {
        this.haveComment = haveComment;
    }
}
